Subject: Re: B20.1 sh and bash command line parsing question
From: Chris Faylor <[email-masked]>
To: Rob Tulloh <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Aug 1999 18:31:16 -0400

I'm telling you how this is implemented now.  I thought that was what you
were asking for.

If I was to change everything immediately to properly quote things with
a backslash, would that solve your problem?  I don't think so.  There
will still be a large number of people with old code.

A quick test seems to indicate that Microsoft allows both \" and "".

Another quick test seems to indicate that, yes, the source code for
cygwin is still available, so if "we" want to fix this then "we"
can submit a patch and "we" will add it to the source code for
a future release.

As to whether we want to ifdef code between cygwin and UNIX, I'd
suggest that the best way to ensure compatibility is to use Cygwin
tools.  The shell handles quoting correctly.

cgf

On Thu, Aug 26, 1999 at 12:04:43AM +0200, Rob Tulloh wrote:
>Ciao a tutti!
>
>Chris Faylor wrote:
>> 
>> I don't know if this helps, but cygwin uses the doubled quote character
>> '""' to indicate a single quote.  It doesn't recognize the backslash
>> syntax.
>> 
>> I actually had everything coded to understand the backslash when it was
>> brought to my attention that a normal MS-DOS application relies on
>> doubling of quotes to quote a quote.  I know that this is not consistent
>
>Why are you following MS-DOS for a WIN32-based implementation? The rules
>(according to the Microsoft docs) are clearly stated as this:
>[snip]

--
Want to unsubscribe from this list?
Send a message to [email-masked]